camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christoph Emmersberger <cemme...@googlemail.com>
Subject Re: Feature installation of 'camel-extra' component 'camel-spring-neo4j'
Date Tue, 24 Sep 2013 18:40:07 GMT
Dear all,

I also made some progress, but it seems that there is still something missing. The feature
config looks now like:

  <feature name='camel-spring-neo4j' version='${project.version}' resolver='(obr)' start-level='50'>
    <feature version='${camel-version}'>camel</feature>
    
    <bundle>mvn:org.springframework/spring-expression/3.1.4.RELEASE</bundle>
    <bundle>mvn:org.springframework/spring-asm/3.1.4.RELEASE</bundle>    
    <bundle>mvn:org.springframework/spring-context/3.1.4.RELEASE</bundle>
    
    <bundle>mvn:org.springframework/spring-beans/3.1.4.RELEASE</bundle>
    <bundle>mvn:org.springframework/spring-context-support/3.1.4.RELEASE</bundle>
    <bundle>mvn:org.springframework/spring-aspects/3.1.4.RELEASE</bundle>

    <bundle>mvn:org.springframework/spring-aop/3.1.4.RELEASE</bundle>
    <bundle>mvn:org.springframework/spring-core/3.1.4.RELEASE</bundle>
    
    <bundle>mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/1.1.1</bundle>
    <bundle>wrap:mvn:org.neo4j/neo4j-kernel/1.8.1</bundle>
    
    <bundle>wrap:mvn:org.aspectj/aspectjrt/1.7.2</bundle>
    <bundle>mvn:org.springframework.data/spring-data-commons/1.5.1.RELEASE</bundle>
    <bundle>mvn:org.springframework.data/spring-data-neo4j/2.2.2.RELEASE</bundle>
    
    <bundle>mvn:commons-beanutils/commons-beanutils/1.8.0</bundle>
    <bundle>wrap:mvn:commons-beanutils/commons-beanutils-core/1.8.0</bundle>
    <bundle>mvn:commons-digester/commons-digester/1.8.1</bundle>
    <bundle>mvn:commons-logging/commons-logging/1.1.2</bundle>
    <bundle>mvn:commons-lang/commons-lang/2.4</bundle>
    <bundle>mvn:commons-collections/commons-collections/3.2.1</bundle>
    <bundle>mvn:commons-configuration/commons-configuration/1.6</bundle>
    <bundle>mvn:org.neo4j.3rdparty.javax.ws.rs/jsr311-api/1.1.2.r612</bundle>
    <bundle>wrap:mvn:org.neo4j/server-api/1.8.1</bundle>
    <bundle>wrap:mvn:org.neo4j/neo4j-rest-graphdb/1.8.1</bundle>

    <bundle>mvn:org.codehaus.jackson/jackson-core-asl/1.9.7</bundle>
    <bundle>mvn:org.codehaus.jackson/jackson-jaxrs/1.9.7</bundle>
    
    <bundle>mvn:org.codehaus.jackson/jackson-mapper-asl/1.9.7</bundle>
    
    <bundle>mvn:com.sun.jersey/jersey-core/1.4</bundle>
    <bundle>mvn:com.sun.jersey/jersey-client/1.4</bundle>
    
    <bundle>wrap:mvn:org.neo4j/neo4j-jmx/1.8.1</bundle>
    <bundle>wrap:mvn:org.neo4j/neo4j-graph-matching/1.8.1</bundle>
    <bundle>wrap:mvn:org.neo4j/neo4j-udc/1.8.1</bundle>
    <bundle>wrap:mvn:org.neo4j/neo4j-graph-algo/1.8.1</bundle>
    <bundle>wrap:mvn:org.apache.lucene/lucene-core/3.5.0</bundle>
    <bundle>wrap:mvn:org.neo4j/neo4j-lucene-index/1.8.1</bundle>
    <bundle>wrap:mvn:org.neo4j/neo4j/1.8.1</bundle>
    
    <bundle>mvn:com.googlecode.concurrentlinkedhashmap/concurrentlinkedhashmap-lru/1.3.2</bundle>
    <bundle>wrap:mvn:org.scala-lang/scala-library/2.9.1-1</bundle>
    <bundle>wrap:mvn:org.neo4j/neo4j-cypher/1.8.1</bundle>
     
    <bundle>wrap:mvn:aopalliance/aopalliance/1.0</bundle>
    <bundle>mvn:org.springframework/spring-tx/3.1.4.RELEASE</bundle>
    <bundle>mvn:org.springframework.data/spring-data-neo4j-rest/2.2.2.RELEASE</bundle>
                                                                                         
                                                                                         
                                                                                         
                                                                                         
                                                                                         
                                                                                         
                                                                                         
                                                                                         
                                                                                         
                                                                                         
                                                                                         
                                                                                         
                                                                                         
                                                       
    <bundle>mvn:org.apache-extras.camel-extra/camel-spring-neo4j/${project.version}</bundle>
  </feature>

But I'm still facing the following error:

2013-09-24 20:35:19,202 | ERROR | l Console Thread | Console                          | araf.shell.console.jline.Console
 199 | 14 - org.apache.karaf.shell.console - 2.3.2 | Exception caught while executing command
java.lang.Exception: Could not start bundle mvn:org.springframework.data/spring-data-neo4j/2.2.2.RELEASE
in feature(s) camel-spring-neo4j-2.11-SNAPSHOT: Unresolved constraint in bundle org.springframework.data.neo4j
[998]: Unable to resolve 998.0: missing requirement [998.0] osgi.wiring.package; (&(osgi.wiring.package=com.mysema.query.annotations)(version>=0.0.0))
	at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:488)[26:org.apache.karaf.features.core:2.3.2]
	at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:402)[26:org.apache.karaf.features.core:2.3.2]
	at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:398)[26:org.apache.karaf.features.core:2.3.2]
	at org.apache.karaf.features.command.InstallFeatureCommand.doExecute(InstallFeatureCommand.java:62)[28:org.apache.karaf.features.command:2.3.2]
	at org.apache.karaf.features.command.FeaturesCommandSupport.doExecute(FeaturesCommandSupport.java:41)[28:org.apache.karaf.features.command:2.3.2]
	at org.apache.karaf.shell.console.OsgiCommandSupport.execute(OsgiCommandSupport.java:38)[14:org.apache.karaf.shell.console:2.3.2]
	at org.apache.felix.gogo.commands.basic.AbstractCommand.execute(AbstractCommand.java:35)[14:org.apache.karaf.shell.console:2.3.2]
	at org.apache.felix.gogo.runtime.CommandProxy.execute(CommandProxy.java:78)[14:org.apache.karaf.shell.console:2.3.2]
	at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:474)[14:org.apache.karaf.shell.console:2.3.2]
	at org.apache.felix.gogo.runtime.Closure.executeStatement(Closure.java:400)[14:org.apache.karaf.shell.console:2.3.2]
	at org.apache.felix.gogo.runtime.Pipe.run(Pipe.java:108)[14:org.apache.karaf.shell.console:2.3.2]
	at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:183)[14:org.apache.karaf.shell.console:2.3.2]
	at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:120)[14:org.apache.karaf.shell.console:2.3.2]
	at org.apache.felix.gogo.runtime.CommandSessionImpl.execute(CommandSessionImpl.java:89)[14:org.apache.karaf.shell.console:2.3.2]
	at org.apache.karaf.shell.console.jline.Console.run(Console.java:173)[14:org.apache.karaf.shell.console:2.3.2]
	at java.lang.Thread.run(Thread.java:722)[:1.7.0_15]
Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle org.springframework.data.neo4j
[998]: Unable to resolve 998.0: missing requirement [998.0] osgi.wiring.package; (&(osgi.wiring.package=com.mysema.query.annotations)(version>=0.0.0))
	at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3826)[org.apache.felix.framework-4.0.3.jar:]
	at org.apache.felix.framework.Felix.startBundle(Felix.java:1868)[org.apache.felix.framework-4.0.3.jar:]
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:944)[org.apache.felix.framework-4.0.3.jar:]
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:931)[org.apache.felix.framework-4.0.3.jar:]
	at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:485)[26:org.apache.karaf.features.core:2.3.2]
	... 15 more


Maybe I'll be able to have a look at it tomorrow.

- Christoph

On Sep 22, 2013, at 11:34 PM, Christian Müller <christian.mueller@gmail.com> wrote:

> Didn't found enough time to finish this task. The dependency tree is huge:
> 
> spring-data-neo4j-rest cmueller$ mvn dependency:tree
> [INFO] Scanning for projects...
> [INFO]
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Building Spring Data Neo4j - Rest Binding 2.2.1.RELEASE
> [INFO]
> ------------------------------------------------------------------------
> [INFO]
> [INFO] --- maven-dependency-plugin:2.7:tree (default-cli) @
> spring-data-neo4j-rest ---
> [INFO] org.springframework.data:spring-data-neo4j-rest:jar:2.2.1.RELEASE
> [INFO] +- org.springframework:spring-tx:jar:3.1.4.RELEASE:compile
> [INFO] |  \- aopalliance:aopalliance:jar:1.0:compile
> [INFO] +- org.springframework:spring-context:jar:3.1.4.RELEASE:compile
> [INFO] |  +- org.springframework:spring-expression:jar:3.1.4.RELEASE:compile
> [INFO] |  \- org.springframework:spring-asm:jar:3.1.4.RELEASE:compile
> [INFO] +- org.springframework:spring-beans:jar:3.1.4.RELEASE:compile
> [INFO] +- org.springframework:spring-aspects:jar:3.1.4.RELEASE:compile
> [INFO] |  \-
> org.springframework:spring-context-support:jar:3.1.4.RELEASE:compile
> [INFO] +- org.springframework:spring-aop:jar:3.1.4.RELEASE:compile
> [INFO] +- org.springframework:spring-core:jar:3.1.4.RELEASE:compile
> [INFO] +- org.neo4j:neo4j-kernel:jar:1.8.1:compile
> [INFO] |  \-
> org.apache.geronimo.specs:geronimo-jta_1.1_spec:jar:1.1.1:compile
> [INFO] +- org.neo4j:neo4j-lucene-index:jar:1.8.1:test
> [INFO] |  \- org.apache.lucene:lucene-core:jar:3.5.0:test
> [INFO] +- org.neo4j:neo4j-kernel:jar:tests:1.8.1:test
> [INFO] +-
> org.springframework.data:spring-data-neo4j:jar:2.2.1.RELEASE:compile
> [INFO] |  +- org.aspectj:aspectjrt:jar:1.7.2:compile
> [INFO] |  +-
> org.springframework.data:spring-data-commons:jar:1.5.1.RELEASE:compile
> [INFO] |  \- org.neo4j:neo4j-cypher-dsl:jar:1.9.M04:compile
> [INFO] +- javax.validation:validation-api:jar:1.0.0.GA:compile
> [INFO] +- org.hibernate:hibernate-validator:jar:4.2.0.Final:test
> [INFO] +- org.neo4j:neo4j-rest-graphdb:jar:1.8.1:compile
> [INFO] |  \- org.neo4j:server-api:jar:1.8.1:compile
> [INFO] |     \- org.neo4j.3rdparty.javax.ws.rs:
> jsr311-api:jar:1.1.2.r612:compile
> [INFO] +- org.neo4j.server.plugin:neo4j-gremlin-plugin:jar:1.8.1:test
> [INFO] +- org.neo4j.app:neo4j-server:jar:1.8.1:test
> [INFO] |  +- ch.qos.logback:logback-access:jar:0.9.30:test
> [INFO] |  +- janino:janino:jar:2.5.10:test
> [INFO] |  +- commons-digester:commons-digester:jar:1.8.1:compile
> [INFO] |  |  \- commons-beanutils:commons-beanutils:jar:1.8.0:compile
> [INFO] |  +- commons-io:commons-io:jar:1.4:test
> [INFO] |  +- org.rrd4j:rrd4j:jar:2.0.7:test
> [INFO] |  +- org.neo4j:neo4j-shell:jar:1.8.1:test
> [INFO] |  |  \-
> org.apache.servicemix.bundles:org.apache.servicemix.bundles.jline:jar:0.9.94_1:test
> [INFO] |  \- bouncycastle:bcprov-jdk16:jar:140:test
> [INFO] +- com.tinkerpop.blueprints:blueprints-core:jar:1.2:compile
> [INFO] |  \- org.codehaus.jettison:jettison:jar:1.3:compile
> [INFO] |     \- stax:stax-api:jar:1.0.1:compile
> [INFO] +- com.tinkerpop.blueprints:blueprints-neo4j-graph:jar:1.2:compile
> [INFO] |  +- org.neo4j:neo4j-ha:jar:1.6.1:compile
> [INFO] |  |  +- org.neo4j:neo4j-backup:jar:1.6.1:compile
> [INFO] |  |  +- org.apache.zookeeper:zookeeper:jar:3.3.2:compile
> [INFO] |  |  +- org.neo4j:neo4j-com:jar:1.6.1:compile
> [INFO] |  |  |  \-
> org.apache.servicemix.bundles:org.apache.servicemix.bundles.netty:jar:3.2.5.Final_1:compile
> [INFO] |  |  \- log4j:log4j:jar:1.2.16:compile
> [INFO] |  \- org.neo4j:neo4j-management:jar:1.6.1:compile
> [INFO] +- com.tinkerpop.gremlin:gremlin-groovy:jar:1.5:compile
> [INFO] |  +- com.tinkerpop.gremlin:gremlin-java:jar:1.5:compile
> [INFO] |  +- com.tinkerpop:pipes:jar:1.0:compile
> [INFO] |  +- org.codehaus.groovy:groovy:jar:1.8.5:compile
> [INFO] |  |  +- antlr:antlr:jar:2.7.7:compile
> [INFO] |  |  +- asm:asm-commons:jar:3.2:compile
> [INFO] |  |  +- asm:asm-util:jar:3.2:compile
> [INFO] |  |  +- asm:asm-analysis:jar:3.2:compile
> [INFO] |  |  \- asm:asm-tree:jar:3.2:compile
> [INFO] |  +- org.fusesource.jansi:jansi:jar:1.5:compile
> [INFO] |  \- jline:jline:jar:0.9.94:compile
> [INFO] +- commons-configuration:commons-configuration:jar:1.6:test
> [INFO] |  +- commons-collections:commons-collections:jar:3.2.1:test
> [INFO] |  +- commons-lang:commons-lang:jar:2.4:test
> [INFO] |  +- commons-logging:commons-logging:jar:1.1.1:compile
> [INFO] |  \- commons-beanutils:commons-beanutils-core:jar:1.8.0:test
> [INFO] +- org.mortbay.jetty:jetty:jar:6.1.25:test
> [INFO] |  +- org.mortbay.jetty:jetty-util:jar:6.1.25:test
> [INFO] |  \- org.mortbay.jetty:servlet-api:jar:2.5-20081211:test
> [INFO] +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.7:compile
> [INFO] |  \- org.codehaus.jackson:jackson-core-asl:jar:1.9.7:compile
> [INFO] +- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.7:compile
> [INFO] +- com.sun.jersey:jersey-client:jar:1.4:compile
> [INFO] |  \- com.sun.jersey:jersey-core:jar:1.4:compile
> [INFO] +-
> org.springframework.data:spring-data-neo4j-aspects:jar:2.2.1.RELEASE:test
> [INFO] |  \- cglib:cglib:jar:2.2:test
> [INFO] +-
> org.springframework.data:spring-data-neo4j:jar:tests:2.2.1.RELEASE:test
> [INFO] +-
> org.springframework.data:spring-data-neo4j-aspects:jar:tests:2.2.1.RELEASE:test
> [INFO] +- com.sun.jersey:jersey-server:jar:1.4:test
> [INFO] |  \- asm:asm:jar:3.1:compile
> [INFO] +- org.neo4j:neo4j:jar:1.8.1:compile
> [INFO] |  +- org.neo4j:neo4j-graph-algo:jar:1.8.1:compile
> [INFO] |  +- org.neo4j:neo4j-udc:jar:1.8.1:compile
> [INFO] |  +- org.neo4j:neo4j-graph-matching:jar:1.8.1:compile
> [INFO] |  \- org.neo4j:neo4j-jmx:jar:1.8.1:compile
> [INFO] +- org.neo4j:neo4j-cypher:jar:1.8.1:compile
> [INFO] |  +- org.scala-lang:scala-library:jar:2.9.1-1:compile
> [INFO] |  \-
> com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:jar:1.3.1:compile
> [INFO] +- org.hamcrest:hamcrest-library:jar:1.3:test
> [INFO] +- org.hamcrest:hamcrest-core:jar:1.3:test
> [INFO] +- junit:junit:jar:4.11:test
> [INFO] +- org.mockito:mockito-core:jar:1.9.5:test
> [INFO] |  \- org.objenesis:objenesis:jar:1.0:test
> [INFO] +- org.springframework:spring-test:jar:3.1.4.RELEASE:test
> [INFO] +- org.slf4j:slf4j-api:jar:1.7.1:compile
> [INFO] +- org.slf4j:jcl-over-slf4j:jar:1.7.1:runtime
> [INFO] \- ch.qos.logback:logback-classic:jar:1.0.11:test
> [INFO]    \- ch.qos.logback:logback-core:jar:1.0.11:test
> 
> And by the way, there is a newer version of spring-data-neo4j. We should
> consider to upgrade?
> 
> Best,
> Christian
> -----------------
> 
> Software Integration Specialist
> 
> Apache Camel committer: https://camel.apache.org/team
> V.P. Apache Camel: https://www.apache.org/foundation/
> Apache Member: https://www.apache.org/foundation/members.html
> 
> https://www.linkedin.com/pub/christian-mueller/11/551/642
> 
> 
> On Sun, Sep 22, 2013 at 12:08 AM, Christian Müller <
> christian.mueller@gmail.com> wrote:
> 
>> I made some progress, but still need some more time...
>> 
>> 
>> Best,
>> Christian
>> -----------------
>> 
>> Software Integration Specialist
>> 
>> Apache Camel committer: https://camel.apache.org/team
>> V.P. Apache Camel: https://www.apache.org/foundation/
>> Apache Member: https://www.apache.org/foundation/members.html
>> 
>> https://www.linkedin.com/pub/christian-mueller/11/551/642
>> 
>> 
>> On Fri, Sep 20, 2013 at 9:24 AM, Christoph Emmersberger <
>> cemmersb@googlemail.com> wrote:
>> 
>>> Just as an additional starting point: Claus mentioned the Spring Data
>>> dependencies in this thread:
>>> http://camel.465427.n5.nabble.com/DISCUSS-Rename-camel-redis-and-camel-neo4j-to-include-spring-in-their-name-td5728870.html
>>> 
>>> - Christoph
>>> 
>>> On Sep 20, 2013, at 8:28 AM, Christian Müller <
>>> christian.mueller@gmail.com> wrote:
>>> 
>>>> Will have a look at the weekend.
>>>> 
>>>> Best,
>>>> Christian
>>>> Am 20.09.2013 07:57 schrieb "Christoph Emmersberger" <
>>>> cemmersb@googlemail.com>:
>>>> 
>>>>> Dear all,
>>>>> 
>>>>> I'm currently facing some issues when installing the
>>> 'camel-spring-neo4j'
>>>>> component, currently available as 2.11-SNAPSHOT version. I've seen,
>>> that
>>>>> the feature is incomplete, and wanted to fix this. However, it turns
>>> out,
>>>>> when resolving one dependency, the next pulls.
>>>>> 
>>>>> So my basic question is, if anyone has been able to install the
>>> component
>>>>> on Karaf?
>>>>> 
>>>>> It may be, that the entire issue is much more simple when getting the
>>>>> right spring-data dependency in place. However, I did not find the
>>>>> appropriate.
>>>>> 
>>>>> Please see the errors that I've been getting:
>>>>> 
>>>>> Error executing command: Could not start bundle
>>>>> mvn:org.apache-extras.camel-extra/camel-spring-neo4j/2.11-SNAPSHOT in
>>>>> feature(s) camel-spring-neo4j-2.11-SNAPSHOT: Unresolved constraint in
>>>>> bundle org.apache-extras.camel-extra.camel-spring-neo4j [54]: Unable
to
>>>>> resolve 54.0: missing requirement [54.0] osgi.wiring.package;
>>>>> 
>>> (&(osgi.wiring.package=org.apache.camel)(version>=2.11.0)(!(version>=2.12.0)))
>>>>> FIX: <feature version='${camel-version}'>camel</feature>
>>>>> 
>>>>> Error executing command: Could not start bundle
>>>>> mvn:org.apache-extras.camel-extra/camel-spring-neo4j/2.11-SNAPSHOT in
>>>>> feature(s) camel-spring-neo4j-2.11-SNAPSHOT: Unresolved constraint in
>>>>> bundle org.apache-extras.camel-extra.camel-spring-neo4j [79]: Unable
to
>>>>> resolve 79.0: missing requirement [79.0] osgi.wiring.package;
>>>>> (osgi.wiring.package=org.neo4j.graphdb)
>>>>> ATTEMPTED FIX:
>>>>> <bundle>wrap:mvn:org.neo4j/neo4j-kernel/${neo4j-version}</bundle>
>>>>> 
>>>>> Error executing command: Could not start bundle
>>>>> mvn:org.apache-extras.camel-extra/camel-spring-neo4j/2.11-SNAPSHOT in
>>>>> feature(s) camel-spring-neo4j-2.11-SNAPSHOT: Unresolved constraint in
>>>>> bundle org.apache-extras.camel-extra.camel-spring-neo4j [105]: Unable
>>> to
>>>>> resolve 105.0: missing requirement [105.0] osgi.wiring.package;
>>>>> 
>>> (&(osgi.wiring.package=org.springframework.data.neo4j.core)(version>=2.2.0)(!(version>=3.0.0)))
>>>>> ATTEMPTED FIX:
>>>>> 
>>> <bundle>mvn:org.springframework.data/spring-data-neo4j/${spring-neo4j-version}</bundle>
>>>>> 
>>>>> Error executing command: Could not start bundle
>>>>> mvn:org.springframework.data/spring-data-neo4j/2.2.1.RELEASE in
>>> feature(s)
>>>>> camel-spring-neo4j-2.11-SNAPSHOT: Unresolved constraint in bundle
>>>>> org.springframework.data.neo4j [131]: Unable to resolve 131.0: missing
>>>>> requirement [131.0] osgi.wiring.package;
>>>>> (&(osgi.wiring.package=com.mysema.query.annotations)(version>=0.0.0))
>>>>> ATTEMPTED FIX:
>>>>> 
>>> <bundle>wrap:mvn:com.mysema.querydsl/querydsl-apt/${querydsl-version}</bundle>
>>>>> 
>>>>> Error executing command: Could not start bundle
>>>>> wrap:mvn:com.mysema.querydsl/querydsl-apt/2.9.0 in feature(s)
>>>>> camel-spring-neo4j-2.11-SNAPSHOT: Unresolved constraint in bundle
>>>>> com.mysema.querydsl.apt [158]: Unable to resolve 158.0: missing
>>> requirement
>>>>> [158.0] osgi.wiring.package;
>>>>> (&(osgi.wiring.package=com.google.common.base)(version>=11.0.2))
>>>>> ATTEMPTED FIX:
>>>>> <bundle>wrap:mvn:com.google.guava/guava/${guava-version}</bundle>
>>>>> 
>>>>> So I ended up having the following feature configuration:
>>>>> 
>>>>>   <feature name='camel-spring-neo4j' version='${project.version}'
>>>>> resolver='(obr)' start-level='50'>
>>>>>     <feature version='${camel-version}'>camel</feature>
>>>>>     <bundle>wrap:mvn:org.neo4j/neo4j-kernel/${neo4j-version}</bundle>
>>>>>     <bundle>wrap:mvn:com.google.guava/guava/${guava-version}</bundle>
>>>>> 
>>>>> 
>>> <bundle>wrap:mvn:com.mysema.querydsl/querydsl-apt/${querydsl-version}</bundle>
>>>>> 
>>>>> 
>>> <bundle>mvn:org.springframework.data/spring-data-neo4j/${spring-neo4j-version}</bundle>
>>>>> 
>>>>> 
>>> <bundle>mvn:org.apache-extras.camel-extra/camel-spring-neo4j/${project.version}</bundle>
>>>>>   </feature>
>>>>> 
>>>>> However, I'm still getting the following error:
>>>>> 
>>>>> Error executing command: Could not start bundle
>>>>> wrap:mvn:com.mysema.querydsl/querydsl-core/2.9.0 in feature(s)
>>>>> camel-spring-neo4j-2.11-SNAPSHOT: Unresolved constraint in bundle
>>>>> com.mysema.querydsl.core [186]: Unable to resolve 186.0: missing
>>>>> requirement [186.0] osgi.wiring.package;
>>>>> (&(osgi.wiring.package=com.google.common.base)(version>=11.0.2))
>>>>> 
>>>>> Hope that someone can support me with this issue.
>>>>> 
>>>>> Many thanks and kind regards,
>>>>> 
>>>>> Christoph
>>> 
>>> 
>> 


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message